/**
 * Classe permettant d'assigner diverses equation du mouvement et integrale premiere a la methode "eqMvmt" a partir du patron InterfaceEqMvmt.
 *
 *@author Nicolas DELSATE
 *@version
 * Auteur :
 *  Nicolas DELSATE
 *
 * Derniere modification :
 *  08/12/2005
 */
class UsineEqMvmt {

   /**
    * @param fname Parametre de choix de l'equation du mouvement ou de l'integrale premiere
    */
  static public InterfaceEqMvmt nouveau(String fname) {

    if(fname.equals("EqMvmtPblmTroisCorps")) { return new EqMvmtPblmTroisCorps(); }

    //if(fname.equals("IntPremJacobi3Corps")) { return new IntPremJacobi3Corps(); }

    else {return new EqMvmtPblmTroisCorps(); }
  }
}
